MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026835Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-03 12:372016-04-20 15:49
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026835: CMake should consider CSF_ variables from EXTERNLIB file for each toolkit
DescriptionAt present, all used external libraries are being specified in CMakeLists.txt file of each project.

This approach is incorrect because there has been being EXTERNLIB file for long time and contained CSF variables in it are re-specified for each OS.

This approach can be found in genproj.tcl, osutils:csfList procedure

It's required:
1. To specify CSF_ variables for current OS (standalone cmake script)
2. to parse EXTERNLIB file of each toolkit and link external libraries in connection with found CSF variables in it (fill in USED_LIBS)
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
has duplicate 0026836closedbugmaster Configuration, CMake - CSF_OpenGlLibs variable is not specified 
related to 0026968newski Configuration, Tcl - the usage of CSF_ variables should be revised in connection with CMake build procedure 

-  Notes
(0048282)
ski (developer)
2015-11-17 14:38

This issue was resolved in 0026836
(0048502)
bugmaster (administrator)
2015-11-24 10:40

Fix for issue has been integrated with fix for 26880

- Issue History
Date Modified Username Field Change
2015-11-03 12:37 ibs New Issue
2015-11-03 12:37 ibs Assigned To => ski
2015-11-17 14:13 ibs Relationship added child of 0026836
2015-11-17 14:38 ski Note Added: 0048282
2015-11-19 13:33 ibs Relationship deleted child of 0026836
2015-11-19 13:33 ibs Relationship added parent of 0026836
2015-11-19 13:33 ibs Relationship deleted parent of 0026836
2015-11-19 13:33 ibs Relationship added has duplicate 0026836
2015-11-19 13:34 ibs Assigned To ski => ibs
2015-11-19 13:34 ibs Status new => resolved
2015-11-19 13:34 ibs Steps to Reproduce Updated View Revisions
2015-11-24 10:39 bugmaster Assigned To ibs => bugmaster
2015-11-24 10:39 bugmaster Status resolved => reviewed
2015-11-24 10:40 bugmaster Note Added: 0048502
2015-11-24 10:40 bugmaster Status reviewed => verified
2015-11-24 10:40 bugmaster Resolution open => fixed
2015-12-08 16:12 ibs Relationship added related to 0026968
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker